// Code generated by MockGen. DO NOT EDIT.
// Source: restore_grpc.pb.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	v1 "gitlab.com/infranetes/backup/proto/gen/infranetes/autodevops/v1"
	grpc "google.golang.org/grpc"
)

// MockRestoreServiceClient is a mock of RestoreServiceClient interface.
type MockRestoreServiceClient struct {
	ctrl     *gomock.Controller
	recorder *MockRestoreServiceClientMockRecorder
}

// MockRestoreServiceClientMockRecorder is the mock recorder for MockRestoreServiceClient.
type MockRestoreServiceClientMockRecorder struct {
	mock *MockRestoreServiceClient
}

// NewMockRestoreServiceClient creates a new mock instance.
func NewMockRestoreServiceClient(ctrl *gomock.Controller) *MockRestoreServiceClient {
	mock := &MockRestoreServiceClient{ctrl: ctrl}
	mock.recorder = &MockRestoreServiceClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockRestoreServiceClient) EXPECT() *MockRestoreServiceClientMockRecorder {
	return m.recorder
}

// FetchRestoreToProcess mocks base method.
func (m *MockRestoreServiceClient) FetchRestoreToProcess(ctx context.Context, in *v1.FetchRestoreToProcessRequest, opts ...grpc.CallOption) (*v1.FetchRestoreToProcessResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "FetchRestoreToProcess", varargs...)
	ret0, _ := ret[0].(*v1.FetchRestoreToProcessResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FetchRestoreToProcess indicates an expected call of FetchRestoreToProcess.
func (mr *MockRestoreServiceClientMockRecorder) FetchRestoreToProcess(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchRestoreToProcess", reflect.TypeOf((*MockRestoreServiceClient)(nil).FetchRestoreToProcess), varargs...)
}

// UpdateRestore mocks base method.
func (m *MockRestoreServiceClient) UpdateRestore(ctx context.Context, in *v1.UpdateRestoreRequest, opts ...grpc.CallOption) (*v1.UpdateRestoreResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "UpdateRestore", varargs...)
	ret0, _ := ret[0].(*v1.UpdateRestoreResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// UpdateRestore indicates an expected call of UpdateRestore.
func (mr *MockRestoreServiceClientMockRecorder) UpdateRestore(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateRestore", reflect.TypeOf((*MockRestoreServiceClient)(nil).UpdateRestore), varargs...)
}

// MockRestoreServiceServer is a mock of RestoreServiceServer interface.
type MockRestoreServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockRestoreServiceServerMockRecorder
}

// MockRestoreServiceServerMockRecorder is the mock recorder for MockRestoreServiceServer.
type MockRestoreServiceServerMockRecorder struct {
	mock *MockRestoreServiceServer
}

// NewMockRestoreServiceServer creates a new mock instance.
func NewMockRestoreServiceServer(ctrl *gomock.Controller) *MockRestoreServiceServer {
	mock := &MockRestoreServiceServer{ctrl: ctrl}
	mock.recorder = &MockRestoreServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockRestoreServiceServer) EXPECT() *MockRestoreServiceServerMockRecorder {
	return m.recorder
}

// FetchRestoreToProcess mocks base method.
func (m *MockRestoreServiceServer) FetchRestoreToProcess(arg0 context.Context, arg1 *v1.FetchRestoreToProcessRequest) (*v1.FetchRestoreToProcessResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FetchRestoreToProcess", arg0, arg1)
	ret0, _ := ret[0].(*v1.FetchRestoreToProcessResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FetchRestoreToProcess indicates an expected call of FetchRestoreToProcess.
func (mr *MockRestoreServiceServerMockRecorder) FetchRestoreToProcess(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchRestoreToProcess", reflect.TypeOf((*MockRestoreServiceServer)(nil).FetchRestoreToProcess), arg0, arg1)
}

// UpdateRestore mocks base method.
func (m *MockRestoreServiceServer) UpdateRestore(arg0 context.Context, arg1 *v1.UpdateRestoreRequest) (*v1.UpdateRestoreResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateRestore", arg0, arg1)
	ret0, _ := ret[0].(*v1.UpdateRestoreResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// UpdateRestore indicates an expected call of UpdateRestore.
func (mr *MockRestoreServiceServerMockRecorder) UpdateRestore(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateRestore", reflect.TypeOf((*MockRestoreServiceServer)(nil).UpdateRestore), arg0, arg1)
}

// MockUnsafeRestoreServiceServer is a mock of UnsafeRestoreServiceServer interface.
type MockUnsafeRestoreServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafeRestoreServiceServerMockRecorder
}

// MockUnsafeRestoreServiceServerMockRecorder is the mock recorder for MockUnsafeRestoreServiceServer.
type MockUnsafeRestoreServiceServerMockRecorder struct {
	mock *MockUnsafeRestoreServiceServer
}

// NewMockUnsafeRestoreServiceServer creates a new mock instance.
func NewMockUnsafeRestoreServiceServer(ctrl *gomock.Controller) *MockUnsafeRestoreServiceServer {
	mock := &MockUnsafeRestoreServiceServer{ctrl: ctrl}
	mock.recorder = &MockUnsafeRestoreServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafeRestoreServiceServer) EXPECT() *MockUnsafeRestoreServiceServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedRestoreServiceServer mocks base method.
func (m *MockUnsafeRestoreServiceServer) mustEmbedUnimplementedRestoreServiceServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedRestoreServiceServer")
}

// mustEmbedUnimplementedRestoreServiceServer indicates an expected call of mustEmbedUnimplementedRestoreServiceServer.
func (mr *MockUnsafeRestoreServiceServerMockRecorder) mustEmbedUnimplementedRestoreServiceServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedRestoreServiceServer", reflect.TypeOf((*MockUnsafeRestoreServiceServer)(nil).mustEmbedUnimplementedRestoreServiceServer))
}
